<!DOCTYPE html>
<html>
<head>
	<title>CSS Cheat Sheet</title>
	<!-- Internal CSS (OK to use but External is best) -->
	<!-- <style type="text/css">
		h1{
			color: blue;
		}
	</style> -->

	<!-- External CSS (The Best way to separate presentation from content -->
	<link rel="stylesheet" type="text/css" href="css/style.css">
</head>
<body>

	<!-- Inline CSS (Bad Practice!!! Dont do this) -->
	<!-- <h1 style="color: red;">Hello World</h1> -->
	<div class="container">

		<div class="box-1">
		<h1>Hello World</h1>

		<p>
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
			cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
			proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
		</div>

		<div class="box-2">
		<h1>Goodbye World</h1>

		<p>
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
			cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
			proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
		</div>

		<div class="categories">
			<h2>Categories</h2>

			<ul>
				<li><a href="#">Category 1</a></li>
				<li><a href="#">Category 2</a></li>
				<li><a href="#">Category 3</a></li>
				<li><a href="#">Category 4</a></li>


			</ul>
		</div>

		<form class="my_form">
			<div class="form-group">
				<label>Name: </label>
				<input type="text" name="name" />
			</div>
			<div class="form-group">
				<label>Email: </label>
				<input type="email" name="email" />
			</div>
			<div class="form-group">
				<label>Message: </label>
				<textarea name="message"></textarea>
			</div>
			<input type="submit" name="submit_btn" class="button" value="Submit" />
		</form>

		<div class="block">
			<h3>Heading 1</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim ven</p>			
		</div>

		<div class="block">
			<h3>Heading 1</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim ven</p>			
		</div>

		<div class="block">
			<h3>Heading 1</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim ven</p>			
		</div>

		<div class="clr"></div>

		<div id="main-block">
			<h3>Heading 1</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim ven</p>
		</div>

		<div id="sidebar">
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim ven</p>
		</div>

		<div class="clr"></div>

		<div class="p-box">
			<h1>Hello</h1>
			<h2>Good Bye</h2>
		</div>

		<ul class="my-list">
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
			<li>List Item</li>
		</ul>

	</div><!-- CONTAINER -->

	<a class="fix-me button" href="#">Click</a>

	<div style="margin-top: 500px;">
		
	</div>

</body>
</html>